purescript-0.15.15: PureScript Programming Language Compiler

Safe Haskell | None
Language | Haskell2010

Language.PureScript.Options

Description

The data type of compiler options

Synopsis

- data Options = Options {
  - optionsVerboseErrors :: Bool
  - optionsNoComments :: Bool
  - optionsCodegenTargets :: Set CodegenTarget
  }
- defaultOptions :: Options
- data CodegenTarget
  - = JS
  - | JSSourceMap
  - | CoreFn
  - | Docs
- codegenTargets :: Map String CodegenTarget

# Documentation

data Options #

The data type of compiler options

Constructors

Options |

Fields

- optionsVerboseErrors :: Bool

  Verbose error message

- optionsNoComments :: Bool

  Remove the comments from the generated js

- optionsCodegenTargets :: Set CodegenTarget

  Codegen targets (JS, CoreFn, etc.)

#### Instances

Instances details

Show Options # |
Instance details Defined in Language.PureScript.Options Methods showsPrec :: Int -> Options -> ShowS # show :: Options -> String # showList :: [Options] -> ShowS #
MonadReader Options Make # |
Instance details Defined in Language.PureScript.Make.Monad Methods ask :: Make Options # local :: (Options -> Options) -> Make a -> Make a # reader :: (Options -> a) -> Make a #

defaultOptions :: Options #

data CodegenTarget #

Constructors

JS |
JSSourceMap |
CoreFn |
Docs |

#### Instances

Instances details

Show CodegenTarget # |
Instance details Defined in Language.PureScript.Options Methods showsPrec :: Int -> CodegenTarget -> ShowS # show :: CodegenTarget -> String # showList :: [CodegenTarget] -> ShowS #
Eq CodegenTarget # |
Instance details Defined in Language.PureScript.Options Methods (==) :: CodegenTarget -> CodegenTarget -> Bool # (/=) :: CodegenTarget -> CodegenTarget -> Bool #
Ord CodegenTarget # |

Instance details

Defined in Language.PureScript.Options

Methods

compare :: CodegenTarget -> CodegenTarget -> Ordering #

(<) :: CodegenTarget -> CodegenTarget -> Bool #

(<=) :: CodegenTarget -> CodegenTarget -> Bool #

(>) :: CodegenTarget -> CodegenTarget -> Bool #

(>=) :: CodegenTarget -> CodegenTarget -> Bool #

max :: CodegenTarget -> CodegenTarget -> CodegenTarget #

min :: CodegenTarget -> CodegenTarget -> CodegenTarget #

codegenTargets :: Map String CodegenTarget #